<template>
    <div>
        <form>
            <input
                type="text"
                id="exampleInputEmail1"
                class="name-movements"
                v-model="localmovements.name_movements"
            />
            <br />

            <input
                type="text"
                class="money-movements"
                id="exampleInputEmail1"
                v-model="localmovements.money_movements"
            />
            <br />

            <input
                type="text"
                id="exampleInputEmail1"
                class="description-movements"
                v-model="localmovements.description_movements"
            />
            <br />
            <!--  <select
                class="input-text js-input category-movements"
                v-model="category_movements"
            >
                <option
                    class="optionCategory"
                    v-for="(listCategory, index) in movementListCategory"
                    :key="index"
                    :value="listCategory.id_category"
                    >{{ listCategory.name_category }}</option
                >
            </select>--->
            <br />

            <button type="button" class="ButtonAdd" @click="updatmovements">Editar</button>
        </form>
    </div>
</template>
<script>
export default {
    props: {
        movements: {
            propType: Object,
            required: true,
        },
    },
    data() {
        return {
            localmovements: {},
        }
    },
    watch: {
        movements: {
            immediate: true,
            handler: function(newmovements) {
                this.localmovements = JSON.parse(JSON.stringify(newmovements))
            },
        },
    },
    methods: {
        async updatmovements() {
            this.$emit('edit-movements', this.localmovements)
        },
    },
}
</script>
